Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class RSAPublicKey

    java.lang.Object
      |
      +--com.ibm.security.x509.X509Key
            |
            +--com.ibm.crypto.fips.provider.RSAPublicKey

All Implemented Interfaces:
  java.security.Key, java.security.PublicKey, java.security.interfaces.RSAKey, java.security.interfaces.RSAPublicKey, java.io.Serializable

public final class RSAPublicKey
extends com.ibm.security.x509.X509Key
implements java.security.interfaces.RSAPublicKey, java.io.Serializable

An X.509 public key for the RSA Algorithm.

Version:
  1.00, 03/10/99
Author:
  Janelle Zhang
See Also:
  Serialized Form

Fields inherited from class com.ibm.security.x509.X509Key
`algid, encodedKey, key`

Fields inherited from interface java.security.PublicKey
`serialVersionUID`

Method Summary
`protected void` | `finalize()` This function zeroizes the key so that it isn't in memory when GC is done.
`java.math.BigInteger` | `getModulus()` Return the modulus.
`java.math.BigInteger` | `getPublicExponent()` Return the public exponent.
`protected void` | `parseKeyBits()`
`java.lang.String` | `toString()`
`void` | `zeroize()` This function zeroizes the key so that it isn't in memory.

Methods inherited from class com.ibm.security.x509.X509Key
`decode, decode, encode, encode, equals, getAlgorithm, getAlgorithmId, getEncoded, getFormat, getKey, hashCode, parse, parse, read, readBASE64, setKey, write, writeBASE64`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

  Return the modulus.
  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Return the public exponent.
  Specified by:
    `getPublicExponent` in interface `java.security.interfaces.RSAPublicKey`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.ibm.security.x509.X509Key`

### parseKeyBits

    protected void parseKeyBits()
                         throws java.security.InvalidKeyException

  Overrides:
    `parseKeyBits` in class `com.ibm.security.x509.X509Key`

### zeroize

    public void zeroize()

  This function zeroizes the key so that it isn't in memory.

### finalize

    protected void finalize()

  This function zeroizes the key so that it isn't in memory when GC is done.
  Overrides:
    `finalize` in class `java.lang.Object`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD